Bug 252738 - editors/codelite: Mark broken, doesn't build with Pango 1.46.2 or newer and is outdated
Summary: editors/codelite: Mark broken, doesn't build with Pango 1.46.2 or newer and i...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL: https://codelite.org/
Keywords:
Depends on:
Blocks: 249879
  Show dependency treegraph
 
Reported: 2021-01-16 13:07 UTC by Daniel Engberg
Modified: 2021-05-27 00:05 UTC (History)
3 users (show)

See Also:


Attachments
Patch for codelite (690 bytes, patch)
2021-01-16 13:07 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg 2021-01-16 13:07:40 UTC
Created attachment 221629 [details]
Patch for codelite
Comment 1 Rainer Hurling freebsd_committer 2021-01-29 19:51:50 UTC
There exists a bug #252085, which has a patch for a new port editors/codelite-devel with version 14.0.5.20201218. On Github v15.0.0 [1] was released Jan 15, 2021.

Because editors/codelite is outdated and no longer buildable, wouldn't it be better to update this port to version 15.0.0 instead of creating a new 'devel' version?

Just a thought ;)


[1] https://github.com/eranif/codelite/commit/53713d80b98cca07fef5e0f697497613f18adcff
Comment 2 Daniel Engberg 2021-01-30 10:36:26 UTC
Thanks for finding that PR and I agree that it makes much more sense than creating a devel port.
Comment 3 Rainer Hurling freebsd_committer 2021-02-15 21:11:52 UTC
Hi Daniel,

Wouldn't the patch for v15.0.0 published today by Ivan in bug #252085 be better here, as discussed before?

Probably a devel port is not needed then. But I can not make this decision for Ivan ...
Comment 4 Neel Chauhan freebsd_committer 2021-05-27 00:00:56 UTC
Committed!
Comment 5 commit-hook freebsd_committer 2021-05-27 00:05:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a70955a0137f71934c87ec38ba447d3ed72119c5

commit a70955a0137f71934c87ec38ba447d3ed72119c5
Author:     Daniel Engberg <daniel.engberg.lists@pyret.net>
AuthorDate: 2021-05-27 00:00:52 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-05-27 00:00:52 +0000

    editors/codelite: Mark broken, doesn't build with Pango 1.46.2 or newer

    PR:     252738

 editors/codelite/Makefile | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)